## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <refsDecl>

`<refsDecl>` | (references declaration) specifies how canonical references are constructed for this text.

Attributes

(In addition to global attributes)

`doctype` | identifies the document type within which this reference declaration is used.
| Datatype: CDATA
| Values: must be the name of a document type
| Default: TEI.2

Example

    <refsDecl>
        <step delim=":"
          from="DESCENDANT (1 div1 n %1)"
          refunit="chapter"/>
        <step delim=" "
          from="CHILD (1 head) STRING %2"
          length="6"
          refunit="chapterhead" />
        <step length="4"
          from="CHILD (ALL div2 n %3)"
          refunit="section" />
    </refsDecl>

This example is a formal representation for the referencing scheme described informally in the following example.

Example

    <refsDecl> <p>References are made up by concatenating
    	  the value for the <att>n</att> attribute on each <gi>div1</gi>
    	  element, followed by a colon, followed by the first six
    	  characters of the first <gi>head</gi> element found within it
    	  and a space, followed by exactly four characters derived from
    	  the value of the <att>n</att> attribute on the next included
    	  <gi>div2</gi> element. </p></refsDecl>

190

Module Declared in file teihdr2; Core tag sets: enabled when any TEI base is enabled
May contain p state step
May occur within encodingDesc
Declaration

    <!ELEMENT refsDecl %om.RO; (p+ | step+ | state+)>
    <!ATTLIST refsDecl
          %a.global;
          doctype CDATA "TEI.2">

See further 5.3.5.3 Milestone Method; 5.3 The Encoding Description; 5.3.5 The Reference System Declaration

Up: 35 Elements